> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/kaiko-indices/reference-rates-capital-market/reference-data.md).

# Reference data

### What is this endpoint for?

This endpoint returns a list of all our Reference Rates for the following asset classes:

* Equity
* Fixed income
* Foreign exchange
* Commodities
* Real estate
* Digital assets

For crypto rates, please see the crypto section of the documentation.

### Endpoint

```
gateway.equ.kaiko.io:443 kaiko.equities.EquitiesService.ReferenceData
```

### Query parameters

<table><thead><tr><th width="183.91015625">Parameter</th><th width="106.73046875">Required</th><th width="234.07421875">Description</th><th width="221.765625">Example</th></tr></thead><tbody><tr><td><code>tickers</code></td><td>No</td><td>Array of tickers identifying the rate</td><td><code>["KK_RFR_AAPLUSD", "KK_RFR_TSLAUSD"]</code></td></tr><tr><td><code>base_asset_codes</code></td><td>No</td><td>Array of base asset codes</td><td><code>["aapl", "tsla"]</code></td></tr><tr><td><code>base_asset_classes</code></td><td>No</td><td>Array of base asset classes</td><td><code>["Equity", "ETF", "Commodities", "Foreign Exchange"]</code></td></tr><tr><td><code>base_asset_isins</code></td><td>No</td><td>Array of base asset isin codes</td><td><code>["US0378331005"]</code></td></tr><tr><td><code>quote_asset_codes</code></td><td>No </td><td>Array of quote asset codes</td><td><code>["usd", "hkd"]</code></td></tr><tr><td><code>timezones</code></td><td>No </td><td>Array of IANA timezones</td><td><code>["America/New_York", "Asia/Seoul"]</code></td></tr></tbody></table>

### Response Fields

| Field                                                     | Description                                                                    |
| --------------------------------------------------------- | ------------------------------------------------------------------------------ |
| `indexCode`                                               | The ticker of the rate.                                                        |
| `rateName`                                                | Extensive name format of the rate issued                                       |
| `pair`                                                    | Short name format of the rate issued                                           |
| `exchanges`                                               | The exchanges involved in the computation.                                     |
| `baseAsset`                                               |                                                                                |
| <mark style="color:$tint;">`.assetCode`</mark>            | The asset code of base asset                                                   |
| <mark style="color:$tint;">`.name`</mark>                 | Full name of the base asset                                                    |
| <mark style="color:$tint;">`.isin`</mark>                 | The ISIN code of the base asset                                                |
| <mark style="color:$tint;">`.bbgCompId`</mark>            | The issuer ID on Bloomberg                                                     |
| <mark style="color:$tint;">`.timezone`</mark>             | IANA timezone of the main trading venue                                        |
| <mark style="color:$tint;">`.taxonomy`</mark>             |                                                                                |
| <mark style="color:$primary;">`.taxonomyVersion`</mark>   | Kaiko Taxonomy version                                                         |
| <mark style="color:$primary;">`.kaikoTaxonomyCode`</mark> | Kaiko Taxonomy code                                                            |
| <mark style="color:$primary;">`.assetClass`</mark>        | The asset class of base asset                                                  |
| <mark style="color:$primary;">`.instrumentType`</mark>    | The instrument type of base asset                                              |
| <mark style="color:$primary;">`.marketPhase`</mark>       | The Market Phase of base asset                                                 |
| <mark style="color:$primary;">`.marketVenue`</mark>       | The Market Venue of base asset                                                 |
| <mark style="color:$primary;">`.geoRegion`</mark>         | The main trading region of base asset                                          |
| <mark style="color:$primary;">`.geoCountry`</mark>        | The main trading country of base asset                                         |
| `quoteAsset`                                              |                                                                                |
| <mark style="color:$tint;">`.assetCode`</mark>            | The asset code of quote asset                                                  |
| <mark style="color:$tint;">`.name`</mark>                 | Full name of the quote asset                                                   |
| `dissemination`                                           | Frequency of publication of the rate                                           |
| `timezone`                                                | IANA timezone of the dissemination                                             |
| `launchDate`                                              | Date when the rate was launched and entered into production.                   |
| `exposition`                                              | `"Public"` : Indicates that it is open reference data accessible to all users. |
| `streamEndpoint`                                          | The name of method for subscription                                            |
| `methodology`                                             | The applied calculation methodology section in rulebook                        |
| `assetCalendar`                                           | The applied market calendar.                                                   |

### Request example

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```url
grpcurl \
  -d '{
    "tickers":            ["KK_RFR_AAPLUSD", "KK_RFR_700HKD"],
    "base_asset_codes":   ["aapl", "700"],
    "base_asset_classes": ["equity", "etf"],
    "base_asset_isins":   ["US0378331005", "KYG875721634"],
    "quote_asset_codes":  ["usd", "hkd"],
    "timezones":          ["America/New_York", "Asia/Hong_Kong"]
  }' \
  gateway.equ.kaiko.io:443 \
  kaiko.equities.EquitiesService.ReferenceData
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response example

{% tabs %}
{% tab title="JSON" %}
{% code fullWidth="false" %}

```json
{
  "entries": [
    {
      "indexCode": "KK_RFR_700HKD",
      "rateName": "Kaiko TENCENT HKD Equity Reference Rate",
      "pair": "700-HKD",
      "exchanges": [
        "xhkg"
      ],
      "baseAsset": {
        "assetCode": "700",
        "name": "TENCENT",
        "isin": "KYG875721634",
        "bbgCompId": "BBG000BJ35F4",
        "timezone": "Asia/Hong_Kong",
        "taxonomy": {
          "taxonomyVersion": "1.0",
          "kaikoTaxonomyCode": "EQ.STK.SPOT.XCHG.HK",
          "assetClass": "Equity",
          "instrumentType": "Stock",
          "marketPhase": "Spot",
          "marketVenue": "Exchange",
          "geoRegion": "Asia-Pacific",
          "geoCountry": "HK"
        }
      },
      "quoteAsset": {
        "assetCode": "hkd",
        "name": "Hong Kong Dollar"
      },
      "dissemination": "Real-time",
      "timezone": "Asia/Hong_Kong",
      "launchDate": "2026-03-25",
      "exposition": "Public",
      "streamEndpoint": "/StreamIndex",
      "methodology": "3.1.1",
      "assetCalendar": "equities"
    },
    {
      "indexCode": "KK_RFR_AAPLUSD",
      "rateName": "Kaiko Apple USD Equity Reference Rate",
      "pair": "AAPL-USD",
      "exchanges": [
        "nutp",
        "xcta",
        "boat"
      ],
      "baseAsset": {
        "assetCode": "aapl",
        "name": "Apple",
        "isin": "US0378331005",
        "bbgCompId": "BBG000B9XRY4",
        "timezone": "America/New_York",
        "taxonomy": {
          "taxonomyVersion": "1.0",
          "kaikoTaxonomyCode": "EQ.STK.SPOT.XCHG.US",
          "assetClass": "Equity",
          "instrumentType": "Stock",
          "marketPhase": "Spot",
          "marketVenue": "Exchange",
          "geoRegion": "Americas",
          "geoCountry": "US"
        }
      },
      "quoteAsset": {
        "assetCode": "usd",
        "name": "US Dollar"
      },
      "dissemination": "Real-time",
      "timezone": "America/New_York",
      "launchDate": "2026-01-01",
      "exposition": "Public",
      "streamEndpoint": "/StreamIndex",
      "methodology": "3.1.1",
      "assetCalendar": "equities"
    }
  ]
}

```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/kaiko-indices/reference-rates-capital-market/reference-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
